org.jboss.resteasy.security.doseta

## Class ServerDigitalVerificationHeaderDecoratorFeature

- java.lang.Object
- - org.jboss.resteasy.security.doseta.ServerDigitalVerificationHeaderDecoratorFeature

- All Implemented Interfaces:
    DynamicFeature

      @Provider
      @ConstrainedTo(value=SERVER)
      public class ServerDigitalVerificationHeaderDecoratorFeature
      extends Object
      implements DynamicFeature

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerDigitalVerificationHeaderDecoratorFeature.DigitalVerificationHeaderDecorator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerDigitalVerificationHeaderDecoratorFeature()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ResourceInfo resourceInfo, FeatureContext configurable)` A callback method called by the JAX-RS runtime during the application deployment to register provider instances or classes in a `runtime configuration` scope of a particular `resource or sub-resource method`; i.e.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerDigitalVerificationHeaderDecoratorFeature

          public ServerDigitalVerificationHeaderDecoratorFeature()

  - ### Method Detail

    - #### configure

          public void configure(ResourceInfo resourceInfo,
                       FeatureContext configurable)

      Description copied from interface: `DynamicFeature`
      A callback method called by the JAX-RS runtime during the application deployment to register provider instances or classes in a `runtime configuration` scope of a particular `resource or sub-resource method`; i.e. the providers that should be dynamically bound to the method.

      The registered provider instances or classes are expected to be implementing one or more of the following interfaces:

      - `ContainerRequestFilter`
      - `ContainerResponseFilter`
      - `ReaderInterceptor`
      - `WriterInterceptor`
      - `Feature`

      A provider instance or class that does not implement any of the interfaces above may be ignored by the JAX-RS implementation. In such case a `warning` message must be logged. JAX-RS implementations may support additional provider contracts that can be registered using a dynamic feature concept.

      Conceptually, this callback method is called during a `resource or sub-resource method` discovery phase (typically once per each discovered resource or sub-resource method) to register provider instances or classes in a `configuration` scope of each particular method identified by the supplied `resource information`. The responsibility of the feature is to properly update the supplied `configuration` context.

      Specified by:
        `configure` in interface `DynamicFeature`
      Parameters:
        `resourceInfo` - resource class and method information.
        `configurable` - configurable resource or sub-resource method-level runtime context associated with the `resourceInfo` in which the feature

Copyright © 2014. All Rights Reserved.